<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_force.xsd"/>
<xsd:include schemaLocation="obj_party.xsd"/>

	<xsd:element name="TRANS_RECORDING_LINKS_LIST">
        <xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="ADD">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="PARTY"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UPDATE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="PARTY"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="DELETE">
        <xsd:complexType>
            <xsd:sequence>
				<xsd:element ref="PARTY_ID"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
            </xsd:sequence>
        </xsd:complexType>
    </xsd:element>

  <xsd:element name="SET_DEFAULT_RECORDING_LINK">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="PARTY_ID"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>
			<xsd:element ref="ADD"/>
			<xsd:element ref="UPDATE"/>
			<xsd:element ref="DELETE"/>
      <xsd:element ref="SET_DEFAULT_RECORDING_LINK"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>